// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>, see README.TXT for details

#ifndef COUNTER_HH
#define COUNTER_HH

enum CounterType { loop, once, ping_pong };

class Counter
{
private:
  int s;
  int count;
  CounterType type;

public:
  Counter(int s);
  Counter();

  int inc();
  int operator++();
  int operator--();
  int get_value();
  int size();
  int set_count(int i);
  int set_size(int s);
  void set_type(CounterType);
  operator int() const { return count; };
};

#endif

/* EOF */
