// Copyright (C) 1998 Ingo Ruhnke <grumbel@gmx.de>, see README.TXT for details

#include <cstdio>
#include <cstdlib>
#include <cassert>
#include "pingutile.hh"

PinguTile::PinguTile()
{
  redraw = true;
  tile = 0;
}

void
PinguTile::draw(int x, int y)
{
  assert(tile);
  tile->put_screen(x, y);
  redraw = false;
}

void
PinguTile::load(int i, CL_ResourceManager* resource)
{
  char str[1024];
  
  tile_is_transparent = false;
  sprintf(str, "Game/stones%d", i);
  tile =  CL_Res_Surface::load(str, *resource);
}

void
PinguTile::start_anim()
{
}

void
PinguTile::stop_anim()
{
}

void
PinguTile::set_redraw(bool r)
{
  redraw = r; 
}

bool
PinguTile::needs_redraw()
{
  return redraw;
}

/* EOF */
