// Copyright (C) 1998 Ingo Ruhnke <grumbel@gmx.de>, see README.TXT for details

#ifndef PINGUTAIL_HH
#define PINGUTAIL_HH

#include <ClanLib/clanlib.h>
#include <ClanLib/clanlayer2.h>

// A PinguTile object manage a single tile of the map, it is basicaly
// only a wrapper for CL_Surface which also manage the animation.

class PinguTile {
private:
  CL_Surface* tile;         // The gfx of the tile
  bool redraw;
  bool tile_is_transparent; // Don't draw the tile if it is transparent
public:
  PinguTile();

  void draw(int x, int y);
  void load(int i, CL_ResourceManager* resource);
  void start_anim();
  void stop_anim();
  bool needs_redraw();
  void set_redraw(bool r);
};

#endif

/* EOF */
